> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a journey execution

> Trigger a journey execution for a contact via HTTP webhook



## OpenAPI

````yaml post /journey_execution
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /journey_execution:
    post:
      tags:
        - Journey Execution
      summary: Start a journey execution
      description: Trigger a journey execution for a contact via HTTP webhook
      operationId: postIndex4
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                journey_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  description: The journey ID to execute
                context:
                  anyOf:
                    - type: object
                      propertyNames:
                        type: string
                      additionalProperties:
                        type: string
                    - type: 'null'
                  description: >-
                    Context data for the journey execution, must match the
                    schema defined in the journey trigger node
                contact:
                  type: object
                  properties:
                    address_line1:
                      anyOf:
                        - type: string
                        - type: 'null'
                    address_line2:
                      anyOf:
                        - type: string
                        - type: 'null'
                    birthday:
                      anyOf:
                        - type: string
                        - type: 'null'
                    campaign_messages_this_month:
                      type: number
                    city:
                      anyOf:
                        - type: string
                        - type: 'null'
                    country:
                      anyOf:
                        - type: string
                        - type: 'null'
                    created_at:
                      type: string
                    created_by:
                      anyOf:
                        - type: string
                        - type: 'null'
                    created_by_api_token_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    created_by_employee_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    created_by_import_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    created_by_rule_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    deleted_at:
                      anyOf:
                        - type: string
                        - type: 'null'
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    display_name:
                      anyOf:
                        - type: string
                        - type: 'null'
                    email:
                      anyOf:
                        - type: string
                        - type: 'null'
                    email_health:
                      anyOf:
                        - type: string
                          enum:
                            - healthy
                            - unhealthy
                            - unknown
                        - type: 'null'
                    email_marketing_messages_this_month:
                      type: number
                    email_marketing_opt_in:
                      type: boolean
                    email_transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    external_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    facebook:
                      anyOf:
                        - type: string
                        - type: 'null'
                    facebook_health:
                      anyOf:
                        - type: string
                          enum:
                            - healthy
                            - unhealthy
                            - unknown
                        - type: 'null'
                    facebook_marketing_messages_this_month:
                      type: number
                    facebook_marketing_opt_in:
                      type: boolean
                    facebook_transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    fts: {}
                    full_name:
                      anyOf:
                        - type: string
                        - type: 'null'
                    google_business_messaging:
                      anyOf:
                        - type: string
                        - type: 'null'
                    google_business_messaging_health:
                      anyOf:
                        - type: string
                          enum:
                            - healthy
                            - unhealthy
                            - unknown
                        - type: 'null'
                    google_business_messaging_marketing_messages_this_month:
                      type: number
                    google_business_messaging_marketing_opt_in:
                      type: boolean
                    google_business_messaging_transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    id:
                      type: string
                    influenced_revenue:
                      type: number
                    instagram:
                      anyOf:
                        - type: string
                        - type: 'null'
                    instagram_health:
                      anyOf:
                        - type: string
                          enum:
                            - healthy
                            - unhealthy
                            - unknown
                        - type: 'null'
                    instagram_marketing_messages_this_month:
                      type: number
                    instagram_marketing_opt_in:
                      type: boolean
                    instagram_transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    is_blocked:
                      type: boolean
                    last_external_review_rating:
                      anyOf:
                        - type: number
                        - type: 'null'
                    last_interaction_at:
                      anyOf:
                        - type: string
                        - type: 'null'
                    last_internal_review_rating:
                      anyOf:
                        - type: number
                        - type: 'null'
                    last_outbound_at:
                      anyOf:
                        - type: string
                        - type: 'null'
                    last_review_rating:
                      anyOf:
                        - type: number
                        - type: 'null'
                    latest_marketing_opt_in_request_sent_at:
                      anyOf:
                        - type: string
                        - type: 'null'
                    latest_review_request_message_sent_at:
                      anyOf:
                        - type: string
                        - type: 'null'
                    marketing_opt_in:
                      anyOf:
                        - type: boolean
                        - type: 'null'
                    number_of_marketing_opt_in_requests:
                      type: number
                    organisation_id:
                      type: string
                    postal:
                      anyOf:
                        - type: string
                        - type: 'null'
                    postal_health:
                      anyOf:
                        - type: string
                          enum:
                            - healthy
                            - unhealthy
                            - unknown
                        - type: 'null'
                    postal_marketing_messages_this_month:
                      anyOf:
                        - type: number
                        - type: 'null'
                    postal_marketing_opt_in:
                      type: boolean
                    postal_messages_this_month:
                      anyOf:
                        - type: number
                        - type: 'null'
                    postal_transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    review_request_message_count:
                      type: number
                    salutation:
                      anyOf:
                        - type: string
                        - type: 'null'
                    secondary_external_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    sms:
                      anyOf:
                        - type: string
                        - type: 'null'
                    sms_health:
                      anyOf:
                        - type: string
                          enum:
                            - healthy
                            - unhealthy
                            - unknown
                        - type: 'null'
                    sms_marketing_messages_this_month:
                      type: number
                    sms_marketing_opt_in:
                      type: boolean
                    sms_transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    updated_at:
                      type: string
                    updated_by:
                      anyOf:
                        - type: string
                        - type: 'null'
                    updated_by_api_token_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    updated_by_employee_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    updated_by_import_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    updated_by_rule_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    whatsapp:
                      anyOf:
                        - type: string
                        - type: 'null'
                    whatsapp_health:
                      anyOf:
                        - type: string
                          enum:
                            - healthy
                            - unhealthy
                            - unknown
                        - type: 'null'
                    whatsapp_marketing_messages_this_month:
                      type: number
                    whatsapp_marketing_opt_in:
                      type: boolean
                    whatsapp_transactional_opt_in:
                      anyOf:
                        - type: string
                          enum:
                            - legitimate_interest
                            - contract_fulfillment
                            - consent_granted
                        - type: 'null'
                    zipcode:
                      anyOf:
                        - type: string
                        - type: 'null'
                  description: Contact details to import or find
              required:
                - journey_id
                - contact
      responses:
        '202':
          description: Journey execution started successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  journey_execution_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  contact_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                required:
                  - success
                  - journey_execution_id
                  - contact_id
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  hint:
                    type: string
                  statusCode:
                    type: number
                required:
                  - code
                  - message
                  - statusCode
          description: Invalid input or context validation failed
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  hint:
                    type: string
                  statusCode:
                    type: number
                required:
                  - code
                  - message
                  - statusCode
          description: Journey version or trigger node not found
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  contact_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  journey_version_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                required:
                  - message
                  - contact_id
                  - journey_version_id
          description: Journey execution already active for this contact
        '500':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  hint:
                    type: string
                  statusCode:
                    type: number
                required:
                  - code
                  - message
                  - statusCode
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````